> For the complete documentation index, see [llms.txt](https://developers.mtpelerin.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.mtpelerin.com/integration-guides/apis/price-quote-api.md).

# Price quote API

<https://api.mtpelerin.com/currency_rates/convert> (POST)

| Parameter      | Example value    | Description                                                                                                    |
| -------------- | ---------------- | -------------------------------------------------------------------------------------------------------------- |
| sourceCurrency | CHF              | One of our supported fiat or crypto [Chains and currencies](/service-information/chains-and-currencies.md).    |
| destCurrency   | BTC              | One of our supported fiat or crypto [Chains and currencies](/service-information/chains-and-currencies.md).    |
| sourceAmount   | 100              | Input amount. ⚠️ Do not use it at the same time as destAmount, or you will get a 400 error.                    |
| destAmount     | 100              | Output amount. ⚠️ Do not use at the same time as sourceAmount, or you will get a 400 error.                    |
| sourceNetwork  | fiat             | One of our supported chains (see Tokens endpoint above), or 'fiat'.                                            |
| destNetwork    | bitcoin\_mainnet | One of our supported chains (see Tokens endpoint above), or 'fiat'.                                            |
| isCardPayment  | false            | 'true' or 'false' if the payment will be made by card (only valid if sourceNetwork is fiat, ignored otherwise) |

### Response example:

```
{
  "fees": {
    "networkFee": "2.2605",
    "fixFee": 0
  },
  "sourceCurrency": "CHF",
  "destCurrency": "BTC",
  "sourceNetwork": "fiat",
  "destNetwork": "bitcoin_mainnet",
  "sourceAmount": 100,
  "destAmount": "0.00398660113390708486776"
}
```

"destAmount" is the **net final amount**, which includes all applicable fees.

{% hint style="info" %}
The endpoint returns an error in case of an off-ramp if the amount is inferior the minimum amount of CHF 50 (or equivalent in other fiat currencies).
{% endhint %}

To know via API the **minimum off-ramp amount**, you can use:

<https://api.mtpelerin.com/currency_rates/sellLimits/:currency> (GET)

Replace :currency by one of our supported currencies.

Example: <https://api.mtpelerin.com/currency_rates/sellLimits/USD>

### Response example:

```
{
  "destCurrency": "USD",
  "limit": "62.341265"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.mtpelerin.com/integration-guides/apis/price-quote-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
